# CMA

Python wrapper for the Cleveland Museum of Art API.

### Install
`pip install ClevelandMuseumArt`

### CLI Examples
List artwork with filters  
`cma artwork list --female_artists --created_after 1998 --limit 10`

Get artwork by ID  
`cma artwork get --id 1944.485 --preview`
```
################################################################################
###############################*******************##############################
#########################*********************************######################
#################**********************************************#################
############********************************************************############
########****************************************************************########
###**************************************************************************###
*************************************++*****************************************
***********######*+#*+++*+**++=+***++++=++-*++++++++*=+*++++***##%%*************
***********#*****+***+*++++++==+***++==+=+==++-=+++=++=*==++****##%*************
***********#****+***++*+=+=++==++===+=+**++=====+=**+*++=++***+*##%*************
***********######***#+*+**+++==+++==+=++++=++=+=+++++++++******####*++**********
+++++++++++++***+***+******+++**+*****++++=+**++++++++******###**+++++++++++++++
==============+******+++**+++**++**++++*++****+=+**+++++*++****+===============+
===-----------==+*****++++*++++++*+++++++++++++*+++*+++++***+==------------=====
-------------:::-=+***********++**++++*+++=-*=++++**++++*=++=-::::::------------
:::::::::::::::::::-=+***#***********+++***+*******+=++*+=-:::::::::::::::::::::
:::::::::::::::.......:--=+***#############%#%###*++==-:...............:::::::::
............................::-*####%##########*=:..............................
..............................:*******+**+****#*-...............................
..........:::::::::::::::::::-*##*#***+*=***#*###-:::::::::.....................
......:::::::::::::::::::::=*%##%%%%%%#%#%#%%%%%%%#+::::::::::..................
.............:::::::::::::::--=====++++++++=====--::::..........................
................................................................................
................................................................................
```
  
### Python Examples
```python
from CMA.api import Handler

artwork_id = 1953.424
creator_id = 7978
exhibit_id = 206339

cma = Handler()

# get artwork, creator, or exhibition by ID
artwork = cma.get_artwork(rid=artwork_id, preview=True)
creator = cma.get_creator(rid=creator_id)
exhibit = cma.get_exhibition(rid=exhibit_id)

# list artwork, creator, or exhibition with filters
artworks = cma.list_artworks(limit=3, female_artists=True)
creators = cma.list_creators(limit=3, birth_year_after=1980)
exhibits = cma.list_exhibitions(limit=3, opened_before='2020-12-31')
```
